<app-common-header name="Group information" btnBackLink="/app/tabs/tab-menu/group-manage"></app-common-header>

<ion-content>
    <ion-list lines="inset">
        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Group Name</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{selectedGroup.name}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Number of member</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{selectedGroup.members.length}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item *ngFor="let member of selectedGroup.members">
            <ion-grid>
                <ion-row>
                    <ion-label color="medium" *ngIf="member==myAccount">Me</ion-label>
                    <ion-label color="medium" *ngIf="member!=myAccount">Member</ion-label>
                    <ion-label color="medium" *ngIf="member==selectedGroup.creator">&nbsp;(Creator)</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{member}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>

    <div id="btnJoin" *ngIf="group.isInvite">
        <ion-button (click)="onJoin()">Join</ion-button>
        <ion-button (click)="goHome()">Cancel</ion-button>
    </div>
</ion-content>